File: dist.ini

package info (click to toggle)
libtest-kwalitee-perl 1.28-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 352 kB
  • sloc: perl: 321; makefile: 2
file content (33 lines) | stat: -rw-r--r-- 1,019 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
name                = Test-Kwalitee
author              = chromatic <chromatic@wgz.org>
author              = Karen Etheridge <ether@cpan.org>
copyright_holder    = chromatic
license             = Perl_5
copyright_year      = 2005

[@Author::ETHER]
:version = 0.119
authority = cpan:CHROMATIC
AutoPrereqs.skip[] = ^TB2
Test::ReportPrereqs.include[0] = CPAN::Meta::Requirements
Test::ReportPrereqs.include[1] = version
installer = MakeMaker
StaticInstall.dry_run = 0   ; we can safely set this here

; Note that the pluginbundle is using the last released version to test
; ourselves (which is not the same as t/04-selftest.t, which use *this*
; version that we are about to release)

[Prereqs / DevelopRequires]
Test::Warnings = 0

; Dist::Zilla::Plugin::Test::Kwalitee (up to 2.04) has been broken since 1.10
; added the %ENV checks
[Breaks]
Dist::Zilla::Plugin::Test::Kwalitee = <= 2.04

[Test::CheckBreaks]

[MetaResources]
x_IRC = irc://irc.perl.org/#perl-qa
x_MailingList = http://lists.perl.org/list/perl-qa.html